<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>io.mosip.registration.service (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="io.mosip.registration.service (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/repositories/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../io/mosip/registration/service/audit/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/service/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;io.mosip.registration.service</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/service/AESEncryptionService.html" title="interface in io.mosip.registration.service">AESEncryptionService</a></td>
<td class="colLast">
<div class="block">API interface to encrypt the data using AES algorithm</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/service/LoginService.html" title="interface in io.mosip.registration.service">LoginService</a></td>
<td class="colLast">
<div class="block">Service Class for Login</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/service/MasterSyncService.html" title="interface in io.mosip.registration.service">MasterSyncService</a></td>
<td class="colLast">
<div class="block">Interface to sync master data from server to client</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/service/PolicySyncService.html" title="interface in io.mosip.registration.service">PolicySyncService</a></td>
<td class="colLast">
<div class="block">Service class for Policy Sync</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/service/RSAEncryptionService.html" title="interface in io.mosip.registration.service">RSAEncryptionService</a></td>
<td class="colLast">
<div class="block">Accepts AES session key as bytes and encrypt it by using RSA algorithm</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/service/UserDetailService.html" title="interface in io.mosip.registration.service">UserDetailService</a></td>
<td class="colLast">
<div class="block">Interface to get user details data from server to client</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/service/UserMachineMappingService.html" title="interface in io.mosip.registration.service">UserMachineMappingService</a></td>
<td class="colLast">
<div class="block">Service class for User MachineMapping</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/service/UserOnboardService.html" title="interface in io.mosip.registration.service">UserOnboardService</a></td>
<td class="colLast">
<div class="block">Service class for User Onboarding</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/service/AuthenticationService.html" title="class in io.mosip.registration.service">AuthenticationService</a></td>
<td class="colLast">
<div class="block">Service class for Authentication</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a></td>
<td class="colLast">
<div class="block">The BaseService class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/service/RestCall.html" title="class in io.mosip.registration.service">RestCall</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/repositories/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../io/mosip/registration/service/audit/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/service/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
